/** \file policy_dynamic_say
*/

#ifndef _POLICY_DYNAMIC_SAY_H_
#define _POLICY_DYNAMIC_SAY_H_

#include "base_policies.h"
#include "move_factory.h"

//#include "globals.h"

/**
 */
class  Dynamic_Say_Policy : public Say_Policy {

 protected:
  int quiet_time;
  int last_sent;
  int time2_next_send;
  bool ball_wasin_kickrange;
  bool ball_wasin_feelrange;
  Value communication_zone;
  bool in_communication_zone();

 public:

  Dynamic_Say_Policy();

  /** get the unique id of the policy.
      \return policy id.
  */ 
  inline virtual int id() {return DYNAMIC_SAY_POLICY;}

  /** play_on of this policy
      returns an intercept ballo or a kick Move
  */
  virtual Say_Move* playon();
};

#endif //_POLICY_DYNAMIC_SAY_H_

