#include "policy_factory.h"
#include <iostream.h>
Main_Policy* Policy_Factory::_main_policy = 0;
Neck_Policy* Policy_Factory::_neck_policy = 0;
View_Policy* Policy_Factory::_view_policy = 0;
Say_Policy* Policy_Factory::_say_policy = 0;

Go2Ball_Kick_Policy* Policy_Factory::_go2ball_kick_policy = 0;

/* view policies */
Dynamic_View_Policy*  Policy_Factory::_dynamic_view_policy = 0;
Dynamic_Neck_Policy*  Policy_Factory::_dynamic_neck_policy = 0;
Dynamic_Say_Policy*  Policy_Factory::_dynamic_say_policy = 0;

void Policy_Factory::init() {
  /* null policies */
  _main_policy = new Main_Policy();
  _neck_policy = new Neck_Policy();
  _view_policy = new View_Policy();
  _say_policy = new Say_Policy();
  
  /* main policies */
  _go2ball_kick_policy = new Go2Ball_Kick_Policy() ;

 /* view policies */
 _dynamic_view_policy = new Dynamic_View_Policy();
 _dynamic_neck_policy = new Dynamic_Neck_Policy();
 _dynamic_say_policy = new Dynamic_Say_Policy();
}

