#include "policy_go2ball_kick.h"
#include "mdp_info.h"
#include <stdlib.h>
#include <stdio.h>
#include "tools.h"

Go2Ball_Kick_Policy::Go2Ball_Kick_Policy() {
  
}


Main_Move* Go2Ball_Kick_Policy::playon(){
  
  //make sure to know where  the ball is!
  if (!mdpInfo::is_ball_pos_valid()){ 
    //printf("Missing ball pos: Face Ball\n");
    //return Move_Factory::get_Look_Around();
    return Move_Factory::get_Face_Ball();
  }
  
  if(mdpInfo::is_ball_kickable() != true){
    //ok, its my turn, lets intercept the ball!
    //printf("Trying to intercept\n");
    return Move_Factory::get_Neuro_Intercept_Ball();
  }
  else {
    if(mdpInfo::my_distance_to(Vector(52.5, 0.0)) >20.){
      //printf("Trying to carry ball\n");
      return Move_Factory::get_Neuro_Dribble(36.0,0.0,3);
    }
    else{
      //printf("Trying to kick\n");
      return Move_Factory::get_Neuro_Kick2(3,0.1,2.0);
    }
  }
}
