/** \file policy_go2ball_kick
    this policy simply forces the player with the smallest distance to ball to intercept the ball
    and to kick to the goal
*/

#ifndef _POLICY_GO2BALL_KICK_H_
#define _POLICY_GO2BALL_KICK_H_

#include "base_policies.h"
#include "move_factory.h"

//#include "globals.h"

/**
 */
class Go2Ball_Kick_Policy : public Main_Policy {

 protected:

 public:

  Go2Ball_Kick_Policy();

  /** get the unique id of the policy.
      \return policy id.
  */ 
  inline virtual int id() {return GO2BALL_KICK_POLICY;}

  /** play_on of this policy
      returns an intercept ballo or a kick Move
  */
  virtual Main_Move* playon();
};

#endif //_POLICY_GO2BALL_KICK_UP_H_

