/** \file strategy_defs.h
    All identifiers for strategies are defined in this file.
    Please add a short description of the strategy as a comment too ...
*/

#ifndef _STRATEGY_DEFS_H_
#define _STRATEGY_DEFS_H_


#define NO_STRATEGY                 0  /*< The base strategies from which the real strategies inherit. */
/* MAIN STRATEGIES */

#define GO2BALL_KICK_STRATEGY        1  /* strategy to demonstrate our agent */

/* END MAIN STRATEGIES */ 

/* NECK STRATEGIES */
#define DYNAMIC_NECK_STRATEGY      40  /*< Turn neck strategy */
/* END NECK STRATEGIES */

/* SAY STRATEGIES */
#define DYNAMIC_SAY_STRATEGY      30  /*< Communication strategy */
/* END SAY STRATEGIES */

/* VIEW STRATEGIES */
#define DYNAMIC_VIEW_STRATEGY      20  /*< A smart change view mode strategy */
/* END VIEW STRATEGIES */

#endif //_STRATEGY_DEFS_H_
