#include "strategy_factory.h"

Main_Strategy* Strategy_Factory::_main_strategy =0;
Neck_Strategy* Strategy_Factory::_neck_strategy = 0;
Say_Strategy* Strategy_Factory::_say_strategy = 0;
View_Strategy* Strategy_Factory::_view_strategy = 0;

Go2Ball_Kick_Strategy* Strategy_Factory::_go2ball_kick_strategy = 0;

Dynamic_View_Strategy * Strategy_Factory::_dynamic_view_strategy = 0;
Dynamic_Neck_Strategy * Strategy_Factory::_dynamic_neck_strategy = 0;

Dynamic_Say_Strategy * Strategy_Factory::_dynamic_say_strategy = 0;

void Strategy_Factory::init() {
  _main_strategy = new Main_Strategy();
  _neck_strategy = new Neck_Strategy();
  _say_strategy = new Say_Strategy();
  _view_strategy = new View_Strategy();

  _go2ball_kick_strategy = new Go2Ball_Kick_Strategy();
  _dynamic_view_strategy = new Dynamic_View_Strategy();
  _dynamic_neck_strategy = new Dynamic_Neck_Strategy();
  _dynamic_say_strategy = new Dynamic_Say_Strategy();
}
