/** \file policy_defs.h
    All identifiers for policies are defined in this file.
    Please add a short description of the policy as a comment too ...
*/

#ifndef _POLICY_DEFS_H_
#define _POLICY_DEFS_H_


#define NO_POLICY                    0  /*< The base policies from which the real policies inherit. */
/* MAIN POLICIES */

#define GO2BALL_KICK_POLICY     2  /*< A simple go to ball and kick it to goal policy */
#define TEST_MOVES_POLICY	8  /*< A policy to test moves in the real time coach envr. */

/* END MAIN POLICIES */ 

/* NECK POLICIES */
#define DYNAMIC_NECK_POLICY    40  /* turn neck policy */ 
/* END NECK POLICIES */

/* SAY POLICIES */
#define DYNAMIC_SAY_POLICY    30  /* Communication policy */ 
/* END SAY POLICIES */

/* VIEW POLICIES */
#define DYNAMIC_VIEW_POLICY    20  /* < Change to high frequency view mode if ball is inside 3 meters sense area */ 
/* END VIEW POLICIES */

#endif //_POLICY_DEFS_H_
