#include "policy_dynamic_neck.h"
#include "mdp_info.h"
#include <stdlib.h>
#include <stdio.h>
#include "tools.h"
#include "valueparser.h"
#include "options.h"
#include "cmd.h"
#include "logger.h"

Dynamic_Neck_Policy::Dynamic_Neck_Policy() {
  time_of_turn = 0;
  time_attacker_seen = 0;
}


Neck_Move* Dynamic_Neck_Policy::playon(){
    
  return Move_Factory::get_Neck_Move();
}

#define ATTACKER_DIST 6.

Neck_Move* Dynamic_Neck_Policy::neck_carefor_attackers(){
  return Move_Factory::get_Neck_Move();

}

#define MAX_ANGLE_TO_BALL 10/180.*PI

Neck_Move* Dynamic_Neck_Policy::neck_intercept_ball(){
  return Move_Factory::get_Neck_Move();

}

Neck_Move* Dynamic_Neck_Policy::neck_lookfor_goalie(){
  return Move_Factory::get_Neck_Move();

}

#define GOALIE_MAX_ANGLE_TO_BALL 1/180.*PI

Neck_Move* Dynamic_Neck_Policy::goalie_neck(){
  return Move_Factory::get_Neck_Move();

}

Neck_Move* Dynamic_Neck_Policy::neck_standard(){

  return Move_Factory::get_Neck_Move();
}
