/** \file policy_dynamic_view
*/

#ifndef _POLICY_DYNAMIC_VIEW_H_
#define _POLICY_DYNAMIC_VIEW_H_

#include "base_policies.h"
#include "move_factory.h"

//#include "globals.h"

/**
 */
class  Dynamic_View_Policy : public View_Policy {

 private:
  int standard_view_width;

 protected:
  
 public:

  Dynamic_View_Policy();

  /** get the unique id of the policy.
      \return policy id.
  */ 
  inline virtual int id() {return DYNAMIC_VIEW_POLICY;}

  /** play_on of this policy
      returns an intercept ballo or a kick Move
  */
  virtual View_Move* playon();
};

#endif //_POLICY_DYNAMIC_VIEW_H_

